﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TechNote16_SmartUpdate_CS
{
    public partial class SettingForm : Form
    {
        public SettingForm()
        {
            InitializeComponent();
        }

        private void SettingForm_Load(object sender, EventArgs e)
        {
            smartRadioButton1.GroupID = 1;
            smartRadioButton2.GroupID = 1;

            MainForm mainForm = (MainForm)this.Owner;
            string strOptionValue = mainForm.OptionValue;

            // 읽어온 설정값에 따라 라디오버튼 체크
            if (strOptionValue == "FormLoad")
            {
                smartRadioButton1.Checked = true;
            }
            else if (strOptionValue == "Always")
            {
                smartRadioButton2.Checked = true;
            }
            else
            {
                smartRadioButton1.Checked = false;
                smartRadioButton2.Checked = false;
            }
        }

        private void btnApply_Click(object sender, EventArgs e)
        {
            MainForm mainForm = (MainForm)this.Owner;

            // 적용 버튼을 눌렀을 때 활성화 되어있는 라디오버튼을 기준으로 Option을 설정하고 ini 형식의 파일로 저장
            if (smartRadioButton1.Checked == true)
            {
                mainForm.OptionValue = "FormLoad";
            }
            else if (smartRadioButton2.Checked == true)
            {
                mainForm.OptionValue = "Always";
            }

            this.DialogResult = DialogResult.OK;
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }
    }
}